/**
 * @file some tools
 * @author liulangyu(liulangyu@baidu.com)
 * @date 2017-09-12
 */

const crypto = require('crypto');

/**
 * string md5
 *
 * @public
 * @param {string} str string to md5
 * @param {string=} encoding default encoding hex
 * @return {string} md5 str
 */
function md5(str, encoding = 'hex') {
    return crypto
        .createHash('md5')
        .update(str.toString())
        .digest(encoding);
}

/**
 * 是否是object
 *
 * @public
 * @param {*} item 待检测对象
 * @return {boolean}
 */
function isObject(item) {
    return item
        && typeof item === 'object'
        && !Array.isArray(item)
        && Object.prototype.toString.call(item) === '[object Object]';
}

module.exports = {md5, isObject};
